> For the complete documentation index, see [llms.txt](https://docs.parallel.best/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallel.best/developers-hub/parallel-v2/classic-vaults/opening-a-vault.md).

# Opening a vault

*As of July 2021, the Parallel Protocol Vaults supports the following collateral assets: WETH, WBTC, and USDC.*

To create a vault and deposit WETH collateral equal to `DEPOSIT_AMOUNT` to it, follow these steps:

* Approve the collateral ERC20 asset (WETH) to the [**VaultsCore** address](https://app.gitbook.com/@mimo-defi/s/mimo-defi/~/drafts/-MewpTJxUIffxdZakurk/developers/contract-addresses) equal to at least the `DEPOSIT_AMOUNT`.&#x20;

```
WETH.approve(VaultsCore address, DEPOSIT_AMOUNT)
```

* Call the `VaultsCore.deposit()` function with the desired collateral address and deposit amount.

```
VaultsCore.deposit(WETH address, DEPOSIT_AMOUNT)
```

* You can view your vault details from the `VaultsCore.vaults()`view function.

```
myVaultId = VaultsDataProvider.vaultId(WETH address, your address);
myVault = VaultsDataProvider.vaults(vaultId)
```

* Each Vault has the following information:

```
struct Vault {
    address collateralType;
    address owner;
    uint256 collateralBalance;
    uint256 baseDebt;
    uint256 createdAt;
  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallel.best/developers-hub/parallel-v2/classic-vaults/opening-a-vault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
